Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-12542

Upgrade xstream to 1.4.2

    XMLWordPrintable

Details

    • Improvement
    • Status: Resolved (View Workflow)
    • Major
    • Resolution: Fixed
    • other
    • None
    • Platform: All, OS: All

    Description

      xstream before 1.4 does not support Java 7. See :
      http://old.nabble.com/JAVA-7-compatibility-problem-td32165843.html

      and current change log:
      http://xstream.codehaus.org/changes.html

      This is causing me problems as I cannot read files from within a plugin that are created with xstream 1.4.2 since they are incompatible with the current 1.3.1 version. And reverting the program creating the file to 1.3.1 is not possible as this will lose Java 7 support.

      Attachments

        Issue Links

          Activity

            People

              Unassigned Unassigned
              johnoil John Oliver
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: